Package org.eclipse.ecf.core.sharedobject.events

## Class SharedObjectManagerAddEvent

- java.lang.Object
- - org.eclipse.ecf.core.sharedobject.events.SharedObjectManagerAddEvent

All Implemented Interfaces:
  `IContainerEvent`, `ISharedObjectManagerEvent`, `Event`

    public class SharedObjectManagerAddEvent
    extends Object
    implements ISharedObjectManagerEvent

Shared object manager event sent/triggered when a shared object is added to container via `ISharedObjectManager.addSharedObject(ID, org.eclipse.ecf.core.sharedobject.ISharedObject, java.util.Map)` is called

### Constructor Summary

Constructors
`SharedObjectManagerAddEvent()`
`SharedObjectManagerAddEvent​(ID localContainerID, ID sharedObjectID)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ID` `getLocalContainerID()` Get ID of local discovery container (the discovery container receiving this event).
`ID` `getSharedObjectID()` Get shared object ID for shared object in question
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SharedObjectManagerAddEvent

    public SharedObjectManagerAddEvent()

Since:
  2.6

#### SharedObjectManagerAddEvent

    public SharedObjectManagerAddEvent​(ID localContainerID,
                                       ID sharedObjectID)

### Method Detail

#### getLocalContainerID

    public ID getLocalContainerID()

Description copied from interface: `IContainerEvent`
Get ID of local discovery container (the discovery container receiving this event).

Specified by:
  `getLocalContainerID` in interface `IContainerEvent`
Returns:
  ID for local container. Will not return `null`.

#### getSharedObjectID

    public ID getSharedObjectID()

Description copied from interface: `ISharedObjectManagerEvent`
Get shared object ID for shared object in question

Specified by:
  `getSharedObjectID` in interface `ISharedObjectManagerEvent`
Returns:
  ID of shared object in question. Will not return null.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`